niveristand

NI VeriStand Python API


Keywords
niveristand, veristand
License
MIT
Install
pip install niveristand==0.9.3

Documentation

Info VeriStand Python Support
Author National Instruments

About

The niveristand package contains an API (Application Programming Interface) that interacts with VeriStand systems. The package is implemented in Python. NI created and supports this package.

Requirements

niveristand 0.9.x has the following requirements:

  • VeriStand 2018+ running on the same system as the Python code.
  • 64-bit version of Windows 10/8.1/7
  • CPython 2.7 or 3.5+

Installation

To install niveristand, use one of the following methods:

  1. pip:

    $ python -m pip install niveristand
    
  2. easy_install from setuptools:

    $ python -m easy_install niveristand
    
  3. Download the project source and run the following script:

    $ python setup.py install
    

Usage

Refer to the Basic Examples section for detailed information on how to write a Python real-time sequence.

Support / Feedback

The niveristand package is supported by NI. For support for niveristand, open a request through the NI support portal at ni.com.

Bugs / Feature Requests

To report a bug or submit a feature request, please use the GitHub issues page.

Documentation

To view the documentation, visit the VeriStand Python Documentation Page.

Additional Documentation

Refer to the VeriStand Help for detailed information on setting up a system and running real-time test scenarios.

VeriStand Help installs only with the full version of VeriStand.

License

niveristand is licensed under an MIT-style license (see LICENSE). Other incorporated projects may be licensed under different licenses. All licenses allow for non-commercial and commercial use.